classification
Title: Tests and network timeouts
Type: Stage:
Components: Tests Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jcea, nadeem.vawda, neologix, pitrou, python-dev, vstinner
Priority: normal Keywords: patch

Created on 2011-11-22 13:16 by vstinner, last changed 2013-01-03 02:50 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
transient.diff neologix, 2011-12-07 19:40 review
fix_poplib.diff neologix, 2011-12-10 13:33 review
test_telnetlib_broken_nss.diff neologix, 2011-12-10 13:53
Messages (17)
msg148116 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-11-22 13:16
A lot of tests using the network are failing sometimes. They look like timeout or network failure.

Example:

======================================================================
ERROR: test_storlines (test.test_ftplib.TestTLS_FTPClassMixin)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildbot/buildarea/3.x.warsaw-ubuntu-arm/build/Lib/test/test_ftplib.py", line 582, in test_storlines
    self.client.storlines('stor', f)
  File "/var/lib/buildbot/buildarea/3.x.warsaw-ubuntu-arm/build/Lib/ftplib.py", line 824, in storlines
    conn.unwrap()
  File "/var/lib/buildbot/buildarea/3.x.warsaw-ubuntu-arm/build/Lib/ssl.py", line 448, in unwrap
    s = self._sslobj.shutdown()
socket.timeout: The read operation timed out
msg148147 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-11-22 21:35
test_urllib2net
test test_urllib2net failed -- Traceback (most recent call last):
  File "/usr/home/buildbot/buildarea/2.7.krah-freebsd/build/Lib/test/test_urllib2net.py", line 195, in test_sites_no_connection_close
    req = urllib2.urlopen(URL)
  File "/usr/home/buildbot/buildarea/2.7.krah-freebsd/build/Lib/urllib2.py", line 126, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/home/buildbot/buildarea/2.7.krah-freebsd/build/Lib/urllib2.py", line 394, in open
    response = self._open(req, data)
  File "/usr/home/buildbot/buildarea/2.7.krah-freebsd/build/Lib/urllib2.py", line 412, in _open
    '_open', req)
  File "/usr/home/buildbot/buildarea/2.7.krah-freebsd/build/Lib/urllib2.py", line 372, in _call_chain
    result = func(*args)
  File "/usr/home/buildbot/buildarea/2.7.krah-freebsd/build/Lib/urllib2.py", line 1201, in http_open
    return self.do_open(httplib.HTTPConnection, req)
  File "/usr/home/buildbot/buildarea/2.7.krah-freebsd/build/Lib/urllib2.py", line 1171, in do_open
    raise URLError(err)
URLError: <urlopen error [Errno 4] Non-recoverable failure in name resolution>

Re-running test 'test_urllib2net' in verbose mode
test_custom_headers (test.test_urllib2net.OtherNetworkTests) ... ok
test_file (test.test_urllib2net.OtherNetworkTests) ... ok
test_fileno (test.test_urllib2net.OtherNetworkTests) ... ok
test_ftp (test.test_urllib2net.OtherNetworkTests) ... ok
test_sites_no_connection_close (test.test_urllib2net.OtherNetworkTests) ... ok
test_urlwithfrag (test.test_urllib2net.OtherNetworkTests) ... ok
test_close (test.test_urllib2net.CloseSocketTest) ... ok
test_ftp_basic (test.test_urllib2net.TimeoutTest) ... ok
test_ftp_default_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_ftp_no_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_ftp_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_http_basic (test.test_urllib2net.TimeoutTest) ... ok
test_http_default_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_http_no_timeout (test.test_urllib2net.TimeoutTest) ... ok
test_http_timeout (test.test_urllib2net.TimeoutTest) ... ok
msg148148 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-11-22 21:35
http://www.python.org/dev/buildbot/all/builders/AMD64%20FreeBSD%208.2%202.7/builds/405/steps/test/logs/stdio
msg148149 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-11-22 21:38
http://www.python.org/dev/buildbot/all/builders/x86%20OpenIndiana%203.x/builds/2435/steps/test/logs/stdio

Re-running test 'test_poplib' in verbose mode
test_apop (test.test_poplib.TestPOP3Class) ... ok
test_dele (test.test_poplib.TestPOP3Class) ... ok
test_exceptions (test.test_poplib.TestPOP3Class) ... ok
test_getwelcome (test.test_poplib.TestPOP3Class) ... ok
test_list (test.test_poplib.TestPOP3Class) ... ok
test_noop (test.test_poplib.TestPOP3Class) ... ok
test_pass_ (test.test_poplib.TestPOP3Class) ... ok
test_quit (test.test_poplib.TestPOP3Class) ... ok
test_retr (test.test_poplib.TestPOP3Class) ... ok
test_rpop (test.test_poplib.TestPOP3Class) ... ok
test_stat (test.test_poplib.TestPOP3Class) ... ok
test_top (test.test_poplib.TestPOP3Class) ... ok
test_uidl (test.test_poplib.TestPOP3Class) ... ok
test_user (test.test_poplib.TestPOP3Class) ... ok
testTimeoutDefault (test.test_poplib.TestTimeouts) ... ERROR
testTimeoutNone (test.test_poplib.TestTimeouts) ... ok
testTimeoutValue (test.test_poplib.TestTimeouts) ... ok
test__all__ (test.test_poplib.TestPOP3_SSLClass) ... ok
test_apop (test.test_poplib.TestPOP3_SSLClass) ... ok
test_context (test.test_poplib.TestPOP3_SSLClass) ... ok
test_dele (test.test_poplib.TestPOP3_SSLClass) ... ok
test_exceptions (test.test_poplib.TestPOP3_SSLClass) ... ok
test_getwelcome (test.test_poplib.TestPOP3_SSLClass) ... ok
test_list (test.test_poplib.TestPOP3_SSLClass) ... ok
test_noop (test.test_poplib.TestPOP3_SSLClass) ... ok
test_pass_ (test.test_poplib.TestPOP3_SSLClass) ... ok
test_quit (test.test_poplib.TestPOP3_SSLClass) ... ok
test_retr (test.test_poplib.TestPOP3_SSLClass) ... ok
test_rpop (test.test_poplib.TestPOP3_SSLClass) ... ok
test_stat (test.test_poplib.TestPOP3_SSLClass) ... ok
test_top (test.test_poplib.TestPOP3_SSLClass) ... ok
test_uidl (test.test_poplib.TestPOP3_SSLClass) ... ok
test_user (test.test_poplib.TestPOP3_SSLClass) ... ok

======================================================================
ERROR: testTimeoutDefault (test.test_poplib.TestTimeouts)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/export/home/buildbot/32bits/3.x.cea-indiana-x86/build/Lib/test/test_poplib.py", line 348, in testTimeoutDefault
    pop = poplib.POP3("localhost", self.port)
  File "/export/home/buildbot/32bits/3.x.cea-indiana-x86/build/Lib/poplib.py", line 84, in __init__
    self.sock = self._create_socket(timeout)
  File "/export/home/buildbot/32bits/3.x.cea-indiana-x86/build/Lib/poplib.py", line 90, in _create_socket
    return socket.create_connection((self.host, self.port), timeout)
  File "/export/home/buildbot/32bits/3.x.cea-indiana-x86/build/Lib/socket.py", line 405, in create_connection
    raise err
  File "/export/home/buildbot/32bits/3.x.cea-indiana-x86/build/Lib/socket.py", line 396, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 146] Connection refused
msg148150 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-11-22 21:39
http://www.python.org/dev/buildbot/all/builders/AMD64%20OpenIndiana%202.7/builds/732/steps/test/logs/stdio

test test_telnetlib failed -- Traceback (most recent call last):
  File "/export/home/buildbot/64bits/2.7.cea-indiana-amd64/build/Lib/test/test_telnetlib.py", line 230, in test_read_eager_B
    self._test_read_any_eager_B('read_eager')
  File "/export/home/buildbot/64bits/2.7.cea-indiana-amd64/build/Lib/test/test_telnetlib.py", line 215, in _test_read_any_eager_B
    telnet = telnetlib.Telnet(HOST, self.port)
  File "/export/home/buildbot/64bits/2.7.cea-indiana-amd64/build/Lib/telnetlib.py", line 209, in __init__
    self.open(host, port, timeout)
  File "/export/home/buildbot/64bits/2.7.cea-indiana-amd64/build/Lib/telnetlib.py", line 225, in open
    self.sock = socket.create_connection((host, port), timeout)
  File "/export/home/buildbot/64bits/2.7.cea-indiana-amd64/build/Lib/socket.py", line 571, in create_connection
    raise err
error: [Errno 146] Connection refused
msg148985 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2011-12-07 19:40
> URLError: <urlopen error [Errno 4] Non-recoverable failure in name
> resolution>

For this one, we should probably add EAI_FAIL to support.transient_internet.
msg149146 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-12-10 10:37
Wow, the error description ("Non-recoverable failure in name resolution") is as useful as a Windows error message.
Ok for the patch.
msg149149 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-12-10 12:18
New changeset 5ba1a22c8988 by Charles-François Natali in branch '2.7':
Issue #13453: Catch EAI_FAIL in support.transient_internet.
http://hg.python.org/cpython/rev/5ba1a22c8988

New changeset c998c6f5464b by Charles-François Natali in branch '3.2':
Issue #13453: Catch EAI_FAIL in support.transient_internet.
http://hg.python.org/cpython/rev/c998c6f5464b

New changeset 767badea87c3 by Charles-François Natali in branch 'default':
Issue #13453: Catch EAI_FAIL in support.transient_internet.
http://hg.python.org/cpython/rev/767badea87c3
msg149152 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2011-12-10 13:33
The test_poplib failures are likely due to this obvious race:

"""
    def setUp(self):
[...]
        threading.Thread(target=self.server, args=(self.evt,self.sock)).start()
        time.sleep(.1)

[...]
    def server(self, evt, serv):
        serv.listen(5)
"""

If the server thread doesn't call listen() before sleep(.1) returns,
the client will receive ECONNREFUSED (the test fail consistently
without the sleep).
The patch attached fixes this, and also does the same type of cleanup
as for test_telnetlib in #11812.
msg149157 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2011-12-10 13:53
And I assume that the test_telnetlib failure on the OpenIndiana
buildbot is due to a broken name resolution service, as in issue
#11812.
Here's a patch bumping the timeout to 60s, which should be enough to
resolve "localhost"...
msg149462 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-12-14 18:31
New changeset fbcaeb4a8654 by Charles-François Natali in branch '2.7':
Issue #13453: Fix a race condition in test_poplib.
http://hg.python.org/cpython/rev/fbcaeb4a8654

New changeset e497a3ed9beb by Charles-François Natali in branch '3.2':
Issue #13453: Fix a race condition in test_poplib.
http://hg.python.org/cpython/rev/e497a3ed9beb

New changeset 1eae8154c109 by Charles-François Natali in branch 'default':
Issue #13453: Fix a race condition in test_poplib.
http://hg.python.org/cpython/rev/1eae8154c109
msg149669 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-12-17 14:27
http://www.python.org/dev/buildbot/all/builders/x86%20Gentoo%203.x/builds/1327/steps/test/logs/stdio

======================================================================
ERROR: test_list_active (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 41, in test_list_active
    resp, groups = self.server.list(self.GROUP_PAT)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 596, in list
    resp, lines = self._longcmdstring(command, file)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 513, in _longcmdstring
    resp, list = self._getlongresp(file)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 464, in _getlongresp
    resp = self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object

======================================================================
ERROR: test_newgroups (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 56, in test_newgroups
    resp, groups = self.server.newgroups(dt)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 565, in newgroups
    resp, lines = self._longcmdstring(cmd, file)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 513, in _longcmdstring
    resp, list = self._getlongresp(file)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 464, in _getlongresp
    resp = self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object

======================================================================
ERROR: test_over (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 127, in test_over
    resp, count, first, last, name = self.server.group(self.GROUP_NAME)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 649, in group
    resp = self._shortcmd('GROUP ' + name)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 499, in _shortcmd
    return self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object

======================================================================
ERROR: test_starttls (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 201, in test_starttls
    self.server.starttls()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 986, in starttls
    resp = self._shortcmd('STARTTLS')
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 499, in _shortcmd
    return self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object

======================================================================
ERROR: test_unknown_command (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 48, in test_unknown_command
    self.server._shortcmd("XYZZY")
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 499, in _shortcmd
    return self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object

======================================================================
ERROR: test_xhdr (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 144, in test_xhdr
    resp, count, first, last, name = self.server.group(self.GROUP_NAME)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 649, in group
    resp = self._shortcmd('GROUP ' + name)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 499, in _shortcmd
    return self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object

======================================================================
ERROR: test_xover (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 116, in test_xover
    resp, count, first, last, name = self.server.group(self.GROUP_NAME)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 649, in group
    resp = self._shortcmd('GROUP ' + name)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 499, in _shortcmd
    return self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object

======================================================================
ERROR: test_zlogin (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 221, in test_zlogin
    user=baduser, password=badpw, usenetrc=False)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/unittest/case.py", line 571, in assertRaises
    return context.handle('assertRaises', callableObj, args, kwargs)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/unittest/case.py", line 135, in handle
    callable_obj(*args, **kwargs)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 950, in login
    resp = self._shortcmd('authinfo user ' + user)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 499, in _shortcmd
    return self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object

======================================================================
ERROR: test_zzquit (test.test_nntplib.NetworkedNNTPTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 243, in wrapped
    meth(self)
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/test/test_nntplib.py", line 231, in test_zzquit
    self.server.quit()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 923, in quit
    resp = self._shortcmd('QUIT')
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 499, in _shortcmd
    return self._getresp()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 437, in _getresp
    resp = self._getline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/nntplib.py", line 422, in _getline
    line = self.file.readline()
  File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
    raise IOError("cannot read from timed out object")
OSError: cannot read from timed out object
msg149867 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2011-12-19 15:05
Another failure on an OpenIndiana buildbot:
"""
======================================================================
ERROR: testTimeoutConnect (test.test_ftplib.TestTimeouts)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/test/test_ftplib.py", line 837, in testTimeoutConnect
    ftp.connect(HOST, timeout=30)
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/ftplib.py", line 142, in connect
    self.sock = socket.create_connection((self.host, self.port), self.timeout)
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/socket.py", line 404, in create_connection
    raise err
  File "/export/home/buildbot/32bits/3.2.cea-indiana-x86/build/Lib/socket.py", line 395, in create_connection
    sock.connect(sa)
socket.error: [Errno 146] Connection refused
"""

I guess it's always the same problem, a broken name resolution service which takes a long time to resolve "localhost".
I'll try to bump the timeouts.
msg149868 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-12-19 15:13
>   File "/var/lib/buildslave/3.x.murray-gentoo/build/Lib/socket.py", line 275, in readinto
>     raise IOError("cannot read from timed out object")
> OSError: cannot read from timed out object

Ah, annoying. The NNTP tests use a single connection, and when a timeout
occurs in a test, subsequent tests will all fail with this error...
msg149869 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-12-19 15:14
Jesus is the OpenIndiana buildbots' administrator.
msg149870 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-12-19 15:14
New changeset 2228d985fdcc by Charles-François Natali in branch '2.7':
Issue #13453: Try to increase some socket timeouts to make some buildbots stop
http://hg.python.org/cpython/rev/2228d985fdcc

New changeset d7daf98c068e by Charles-François Natali in branch '3.2':
Issue #13453: Try to increase some socket timeouts to make some buildbots stop
http://hg.python.org/cpython/rev/d7daf98c068e

New changeset 307d698c3ece by Charles-François Natali in branch 'default':
Issue #13453: Try to increase some socket timeouts to make some buildbots stop
http://hg.python.org/cpython/rev/307d698c3ece
msg178907 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-01-03 02:50
Various fixes were done thanks to this issue. I close it. Open a new issue if you see again similar issues.
History
Date User Action Args
2013-01-03 02:50:28vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg178907
2011-12-19 15:14:49python-devsetmessages: + msg149870
2011-12-19 15:14:13pitrousetnosy: + jcea
messages: + msg149869
2011-12-19 15:13:30pitrousetmessages: + msg149868
2011-12-19 15:05:28neologixsetmessages: + msg149867
2011-12-17 14:27:11vstinnersetmessages: + msg149669
2011-12-14 18:31:01python-devsetmessages: + msg149462
2011-12-10 13:53:16neologixsetfiles: + test_telnetlib_broken_nss.diff

messages: + msg149157
2011-12-10 13:33:19neologixsetfiles: + fix_poplib.diff

messages: + msg149152
2011-12-10 12:18:26python-devsetnosy: + python-dev
messages: + msg149149
2011-12-10 10:37:34pitrousetmessages: + msg149146
2011-12-10 08:37:06neologixsetnosy: + pitrou
2011-12-07 19:40:07neologixsetfiles: + transient.diff

nosy: + neologix
messages: + msg148985

keywords: + patch
2011-11-22 21:39:42vstinnersetmessages: + msg148150
2011-11-22 21:38:18vstinnersetmessages: + msg148149
2011-11-22 21:35:20vstinnersetmessages: + msg148148
2011-11-22 21:35:15vstinnersetmessages: + msg148147
2011-11-22 13:18:49nadeem.vawdasetnosy: + nadeem.vawda
2011-11-22 13:16:52vstinnercreate